- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Actionslider

## Macros
#define | elm_obj_actionslider_indicator_pos_set(pos) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_INDICATOR_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)
#define | elm_obj_actionslider_indicator_pos_get(ret) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_INDICATOR_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)
#define | elm_obj_actionslider_magnet_pos_set(pos) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_MAGNET_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)
#define | elm_obj_actionslider_magnet_pos_get(ret) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_MAGNET_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)
#define | elm_obj_actionslider_enabled_pos_set(pos) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_ENABLED_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)
#define | elm_obj_actionslider_enabled_pos_get(ret) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_ENABLED_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)
#define | elm_obj_actionslider_selected_label_get(ret) ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_SELECTED_LABEL_GET), EO_TYPECHECK(const char **, ret)

## Functions
Evas_Object * | elm_actionslider_add (Evas_Object *parent)
| Add a new actionslider to the parent. More...
void | elm_actionslider_indicator_pos_set (Evas_Object *obj, Elm_Actionslider_Pos pos)
| Set actionslider indicator position. More...
Elm_Actionslider_Pos | elm_actionslider_indicator_pos_get (const Evas_Object *obj)
| Get actionslider indicator position. More...
void | elm_actionslider_magnet_pos_set (Evas_Object *obj, Elm_Actionslider_Pos pos)
| Set actionslider magnet position. More...
Elm_Actionslider_Pos | elm_actionslider_magnet_pos_get (const Evas_Object *obj)
| Get actionslider magnet position. More...
void | elm_actionslider_enabled_pos_set (Evas_Object *obj, Elm_Actionslider_Pos pos)
| Set actionslider enabled position. More...
Elm_Actionslider_Pos | elm_actionslider_enabled_pos_get (const Evas_Object *obj)
| Get actionslider enabled position. More...
const char * | elm_actionslider_selected_label_get (const Evas_Object *obj)
| Get actionslider selected label. More...

## Detailed Description

An actionslider is a switcher for 2 or 3 labels with customizable magnet properties. The user drags and releases the indicator, to choose a label.

Labels occupy the following positions. a. Left b. Right c. Center

Positions can be enabled or disabled.

Magnets can be set on the above positions.

When the indicator is released, it will move to its nearest "enabled and magnetized" position.

Note
  By default all positions are set as enabled.

This widget inherits from the Layout one, so that all the functions acting on it also work for actionslider objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"selected"` - when user selects an enabled position (the label is passed as event info).
- `"pos_changed"` - when the indicator reaches any of the positions("left", "right" or "center").

Default text parts of the actionslider widget that you can use for are:

- "indicator" - An indicator label of the actionslider
- "left" - A left label of the actionslider
- "right" - A right label of the actionslider
- "center" - A center label of the actionslider

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get

See an example of actionslider usage here

## Macro Definition Documentation

#define elm_obj_actionslider_enabled_pos_get | ( |  | ret | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_ENABLED_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)

Since
  1.8

Get actionslider enabled position.

Parameters

  [out] | ret |

See Also
  elm_actionslider_enabled_pos_get

Referenced by elm_actionslider_enabled_pos_get().

#define elm_obj_actionslider_enabled_pos_set | ( |  | pos | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_ENABLED_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)

Since
  1.8

Set actionslider enabled position. To set multiple positions as enabled or them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).

Parameters

  [in] | pos |

See Also
  elm_actionslider_enabled_pos_set

Referenced by elm_actionslider_enabled_pos_set().

#define elm_obj_actionslider_indicator_pos_get | ( |  | ret | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_INDICATOR_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)

Since
  1.8

Get actionslider indicator position.

Parameters

  [out] | ret |

See Also
  elm_actionslider_indicator_pos_get

Referenced by elm_actionslider_indicator_pos_get().

#define elm_obj_actionslider_indicator_pos_set | ( |  | pos | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_INDICATOR_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)

Since
  1.8

Set actionslider indicator position.

Parameters

  [in] | pos |

See Also
  elm_actionslider_indicator_pos_set

Referenced by elm_actionslider_indicator_pos_set().

#define elm_obj_actionslider_magnet_pos_get | ( |  | ret | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_MAGNET_POS_GET), EO_TYPECHECK(Elm_Actionslider_Pos *, ret)

Since
  1.8

Get actionslider magnet position.

Parameters

  [out] | ret |

See Also
  elm_actionslider_magnet_pos_get

Referenced by elm_actionslider_magnet_pos_get().

#define elm_obj_actionslider_magnet_pos_set | ( |  | pos | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_MAGNET_POS_SET), EO_TYPECHECK(Elm_Actionslider_Pos, pos)

Since
  1.8

Set actionslider magnet position. To make multiple positions magnets or them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)

Parameters

  [in] | pos |

See Also
  elm_actionslider_magnet_pos_set

Referenced by elm_actionslider_magnet_pos_set().

#define elm_obj_actionslider_selected_label_get | ( |  | ret | ) | ELM_OBJ_ACTIONSLIDER_ID(ELM_OBJ_ACTIONSLIDER_SUB_ID_SELECTED_LABEL_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get actionslider selected label.

Parameters

  [out] | ret |

See Also
  elm_actionslider_selected_label_get

Referenced by elm_actionslider_selected_label_get().

## Function Documentation

Evas_Object* elm_actionslider_add | ( | Evas_Object * | parent | ) |

Add a new actionslider to the parent.

Parameters

  parent | The parent object

Returns
  The new actionslider object or NULL if it cannot be created

Elm_Actionslider_Pos elm_actionslider_enabled_pos_get | ( | const Evas_Object * | obj | ) |

Get actionslider enabled position.

Parameters

  obj | The actionslider object.

Returns
  The enabled positions.

References elm_obj_actionslider_enabled_pos_get.

void elm_actionslider_enabled_pos_set | ( | Evas_Object * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider enabled position.

To set multiple positions as enabled `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).

Note
  All the positions are enabled by default.

Parameters

  obj | The actionslider object.
  pos | Bit mask indicating the enabled positions.

References elm_obj_actionslider_enabled_pos_set.

Elm_Actionslider_Pos elm_actionslider_indicator_pos_get | ( | const Evas_Object * | obj | ) |

Get actionslider indicator position.

Parameters

  obj | The actionslider object.

Returns
  The position of the indicator.

References elm_obj_actionslider_indicator_pos_get.

void elm_actionslider_indicator_pos_set | ( | Evas_Object * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider indicator position.

Parameters

  obj | The actionslider object.
  pos | The position of the indicator.

References elm_obj_actionslider_indicator_pos_set.

Elm_Actionslider_Pos elm_actionslider_magnet_pos_get | ( | const Evas_Object * | obj | ) |

Get actionslider magnet position.

Parameters

  obj | The actionslider object.

Returns
  The positions with magnet property.

References elm_obj_actionslider_magnet_pos_get.

void elm_actionslider_magnet_pos_set | ( | Evas_Object * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider magnet position.

To make multiple positions magnets `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)

Parameters

  obj | The actionslider object.
  pos | Bit mask indicating the magnet positions.

References elm_obj_actionslider_magnet_pos_set.

const char* elm_actionslider_selected_label_get | ( | const Evas_Object * | obj | ) |

Get actionslider selected label.

Parameters

  obj | The actionslider object

Returns
  The selected label

References elm_obj_actionslider_selected_label_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15